Skip to main content
GET
/
api
/
v2
/
integration-configurations
/
keys
/
{integrationKey}
Get all configurations for the integration
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/integration-configurations/keys/{integrationKey} \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "_links": {},
      "_id": "<string>",
      "name": "Example Datadog integration",
      "_createdAt": 123,
      "_integrationKey": "datadog",
      "tags": [
        "testing"
      ],
      "enabled": true,
      "_access": {
        "denied": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ],
        "allowed": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ]
      },
      "configValues": {},
      "capabilityConfig": "{\"auditLogEventsHook\": \"statements\": []\"}",
      "snowflakeSetupScript": "<string>"
    }
  ],
  "_links": {}
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

integrationKey
string<string>
required

Integration key

Response

List of Integration Configurations

items
object[]
required

An array of integration configurations

The location and content type of related resources